Page MenuHomePhabricator

Enable Other projects sidebar on nlwiki
Closed, ResolvedPublic

Description

The Dutch Wikipedia also wants the other projects sidebar (which is powered by Wikidata)
In T103102 the Other Projects Sidebar was enabled for all Wikipedia's except the Dutch Wikipedia. After some discussion in De Kroeg we wondered why a commons link was only working when there was a commonscat on the page. This is because we don't have the other projects sidebar.
We still need to be certain there is consensus.

Details

Related Gerrit Patches:

Event Timeline

Mbch331 created this task.Mar 5 2017, 10:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2017, 10:49 AM

Happy to have it enabled if people want it now :)

Change 341195 had a related patch set uploaded (by urbanecm; owner: mbch331):
[operations/mediawiki-config] WIP: Remove exception on Other Projects sidebar for Dutch Wikipedia

https://gerrit.wikimedia.org/r/341195

I made just a minor change so the change is connected to this bug. There must be blank line between the change summary (the first line) and between extended description which in our case contains a bug line which trigger gerritbot. I also added CR-1 to indicate the patch should not be merged at this moment. Yeah, you have WIP in the message but just for being sure.

Urbanecm moved this task from incoming to monitoring on the Wikidata board.

There seems to be consensus:

https://nl.wikipedia.org/w/index.php?title=Help:Helpdesk&oldid=48747905#Links_tussen_Commons_en_de_Wikipedias_en_het_aparte_gedrag_van_nl-wiki

Nobody seems to oppose. We didn't have a formal vote but such a vote isn't required if people are able to establish consensus via other means.

There seems to be consensus:
https://nl.wikipedia.org/w/index.php?title=Help:Helpdesk&oldid=48747905#Links_tussen_Commons_en_de_Wikipedias_en_het_aparte_gedrag_van_nl-wiki
Nobody seems to oppose. We didn't have a formal vote but such a vote isn't required if people are able to establish consensus via other means.

I removed the WIP: part of the patch. It can now be merged after code review.

Community consensus has been reached over a week ago, patch no longer has the WIP status. Who can give it the +2 that's needed to get the change live?

It must be scheduled, then the +2 would come. You must schedule the change in wikitech.wikimedia.org/wiki/Deployment in some SWAT window under your IRC nickname. Then be presend during the whole SWAT window in #wikimedia-operations at freenode. The changes will be processed by a SWATter, he will give you instructions. Please let me know if you don't understand something.

Change 341195 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove exception on Other Projects sidebar for Dutch Wikipedia

https://gerrit.wikimedia.org/r/341195

Mentioned in SAL (#wikimedia-operations) [2017-03-23T18:16:05Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Remove exception on Other Projects sidebar for Dutch Wikipedia (T159634) (duration: 00m 47s)

Mbch331 closed this task as Resolved.Mar 23 2017, 6:29 PM

Patch has been deployed to nlwiki and is working.